%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Net-SSLeay
%define modv   1.72
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl extension for using OpenSSL
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.72-build.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mike McCauley <mikem@airspayce.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6.1
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Socket)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(XSLoader)
BuildRequires: openssl10-devel


%description
Net::SSLeay offers some high level convinience functions for accessing web
pages on SSL servers (for symmetry, same API is offered for accessing http
servers, too), a sslcat() function for writing your own clients, and finally
access to the SSL API of SSLeay/OpenSSL package so you can write servers or
clients for more complicated applications.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS} -DOPENSSL_NO_KRB5 -Wno-unused"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes Credits LICENSE QuickRef README
%{perl_vendorarch}/auto/%{modp}
%{perl_vendorarch}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Mon Dec 21 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.72-1
- New version (1.72)

* Thu Oct 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.42-1
- New version (1.42)

* Wed Nov 17 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.36-1
- New version (1.36)

* Sun Feb 22 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.35-1
- Initial build
